/*
  Cell shader for nuiMesh
  Copyright (C) 2002 Vincent Caron <v.caron@zerodeux.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __RampEdit_h__
#define __RampEdit_h__

#include "nuiWindow.h"
#include "nuiWidgetBox.h"
#include "nuiUserArea.h"
#include "CellEngine.h"


class RampEdit : public nuiWindow
{
public:
  enum RampType
  {
    eEdge,
    eLight
  };

  RampEdit(nuiMainWindow* pParent, const nuiRect& rRect, CellEngine* pEngine, RampType Ramp);
  virtual ~RampEdit();

  void AddControl (const nglString& rTitle, float* pValue, float Min = 0.f, float Max = 1.f);
  void OnValueChanged();

private:
  nuiWidgetBox*     mpMainBox;
  nuiWidgetBox*     mpCtlBox;
  class RampView*   mpRampView;
  CellEngine*       mpEngine;
};

#endif // __RampEdit_h__
